<div class="container-fluid mt-3">
  <div class="row">
    <div class="col-1"></div>
    <div class="col-5">
      <div class="card ">
        <div class="card-header bg-info text-light">
          <h4>Predmeti</h4>
        </div>
        <div class="card-body" id="studentPredmeti">
          <div class="row">
            <div class="col-4">
              <select class="mt-3 mb-3 form-control" value="2" (change)="onSelectChange($event.target.value)" [(ngModel)]="selectPredmetTip">
                <option value="1">Polozeni Predmeti</option>
                <option value="2">Nepolozeni Predmeti</option>
              </select>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <ul class="list-group" id="predmet-list" *ngIf="predmeti.length != 0">
            <li *ngFor="let predmet of predmeti; let i = index" [class.active]="selectedPredmetId === predmet.id"   class="list-group-item list-group-item-action"
              (click)="onPredmetClick(i)"
            ><h5>{{predmet.naziv}}</h5></li>
          </ul>
          <div class="jumbotron bg-warning" *ngIf="predmeti.length == 0">
            <h2>Nema predmeta</h2>
          </div>
        </div>
      </div>
    </div>
    <div class="col-5">
      <div class="card">
        <div class="card-header bg-info text-light">
          <h4 *ngIf="selectPredmetTip == 2">Ispiti</h4>
          <h4 *ngIf="selectPredmetTip == 1">Detalji</h4>
        </div>
        <div class="card-body" id="predmetDetails">
          <app-ispit-list-view *ngIf="selectPredmetTip == 2" [predmetId]="selectedPredmetId"></app-ispit-list-view>
          <app-polozeni-predmeti-details *ngIf="selectPredmetTip == 1" [predmetId]="selectedPredmetId" [studentId]="studentId" ></app-polozeni-predmeti-details>
        </div>
      </div>
    </div>
    <div class="col-1"></div>
  </div>
  
</div>